Bug 450345 - Port Dogtag 1.0.0 to Fedora 9 (32-bit i386 & 64-bit x86_64)
Port Dogtag 1.0.0 to Fedora 9 (32-bit i386 & 64-bit x86_64)
Status: MODIFIED
Product: Dogtag Certificate System
Classification: Community
Component: Other (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Ben Levenson
:
Depends On: 453504 453508
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 16:08 EDT by Matthew Harmsen
Modified: 2015-01-04 19:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diffs for port to Fedora 9 operating system (4.77 KB, text/plain)
2008-06-06 16:13 EDT, Matthew Harmsen
no flags Details
Updated ALL spec files for Fedora 9 port. (6.64 KB, text/plain)
2008-06-09 12:42 EDT, Matthew Harmsen
no flags Details

  None (edit)
Description Matthew Harmsen 2008-06-06 16:08:30 EDT
There is a strong community interest in seeing Dogtag 1.0.0 ported to Fedora 9
(32-bit i386 & 64-bit x86_64).
Comment 1 Matthew Harmsen 2008-06-06 16:11:49 EDT
The following files were changed to support these operating systems:

# svn status
M      pki/linux/console/pki-console.spec
M      pki/linux/util/pki-util.spec
M      pki/base/ca/shared/conf/dtomcat5
M      pki/base/tks/shared/conf/dtomcat5
M      pki/base/ocsp/shared/conf/dtomcat5
M      pki/base/kra/shared/conf/dtomcat5
Comment 2 Matthew Harmsen 2008-06-06 16:13:28 EDT
Created attachment 308563 [details]
Diffs for port to Fedora 9 operating system
Comment 3 Jack Magne 2008-06-06 16:17:27 EDT
+jmagne attachment (id=308563)
Comment 4 Matthew Harmsen 2008-06-06 16:22:08 EDT
# svn commit
Sending        pki/base/ca/shared/conf/dtomcat5
Sending        pki/base/kra/shared/conf/dtomcat5
Sending        pki/base/ocsp/shared/conf/dtomcat5
Sending        pki/base/tks/shared/conf/dtomcat5
Sending        pki/linux/console/pki-console.spec
Sending        pki/linux/util/pki-util.spec
Transmitting file data ......
Committed revision 50.
Comment 5 Matthew Harmsen 2008-06-06 16:24:02 EDT
New pre-built packages will be made available to the community as soon as they
have been built and published to http://pki.fedoraproject.org.
Comment 7 Matthew Harmsen 2008-06-09 12:42:51 EDT
Created attachment 308721 [details]
Updated ALL spec files for Fedora 9 port.
Comment 8 Jack Magne 2008-06-09 14:17:48 EDT
+jmagne attachment (id=308721)
Comment 9 Matthew Harmsen 2008-06-09 15:14:48 EDT
# svn status
M      pki/linux/ca/pki-ca.spec
M      pki/linux/tks/pki-tks.spec
M      pki/linux/console/pki-console.spec
M      pki/linux/ocsp/pki-ocsp.spec
M      pki/linux/kra/pki-kra.spec
M      pki/linux/util/pki-util.spec

Sending        pki/linux/ca/pki-ca.spec
Sending        pki/linux/console/pki-console.spec
Sending        pki/linux/kra/pki-kra.spec
Sending        pki/linux/ocsp/pki-ocsp.spec
Sending        pki/linux/tks/pki-tks.spec
Sending        pki/linux/util/pki-util.spec
Transmitting file data ......
Committed revision 51.
Comment 10 Matthew Harmsen 2008-06-09 18:08:02 EDT
Published the following Fedora 9 RPMS to both the 32-bit i386 AND the 64-bit
x86_64 repositories:

pki-ca-1.0.0-6.fc9.noarch.rpm
pki-console-1.0.0-4.fc9.noarch.rpm
pki-kra-1.0.0-2.fc9.noarch.rpm
pki-ocsp-1.0.0-2.fc9.noarch.rpm
pki-tks-1.0.0-2.fc9.noarch.rpm
pki-util-1.0.0-2.fc9.noarch.rpm
pki-util-javadoc-1.0.0-2.fc9.noarch.rpm



Published the following Fedora 9 SRPMS to the Fedora 9 source RPM repository:

pki-ca-1.0.0-6.fc9.src.rpm
pki-console-1.0.0-4.fc9.src.rpm
pki-kra-1.0.0-2.fc9.src.rpm
pki-ocsp-1.0.0-2.fc9.src.rpm
pki-tks-1.0.0-2.fc9.src.rpm
pki-util-1.0.0-2.fc9.src.rpm

Comment 11 Matthew Harmsen 2008-06-10 13:05:32 EDT
Looking back at the installation, it appears that the RA and TPS components may
still need some porting work accomplished for the Fedora 9 platforms.
Comment 12 Andrew Bartlett 2008-06-25 21:04:39 EDT
The RA component won't start on Fedora 9 (perl module path wrong).  Should I
file this in a new bug, or track it here?
Comment 13 Andrew Bartlett 2008-07-01 00:21:57 EDT
I've found and fixed my (first) problem in bug 453504

Note You need to log in before you can comment on or make changes to this bug.